import os
import re

from setuptools import setup, find_packages


def get_data_files(*args, **kwargs):

    EXT_PATTERN = kwargs.get('ext') or '\.(html|js|txt|css|po|mo|png|json|xml|yml|conf|css_t)'

    data_dict = {}
    for pkg_name in args:
        data_files = []
        for dirpath, dirnames, filenames in os.walk(pkg_name):
            rel_dirpath = re.sub("^" + pkg_name + '/', '',  dirpath)
            # Ignore dirnames that start with '.'
            for i, dirname in enumerate(dirnames):
                if dirname.startswith('.'): del dirnames[i]
            if filenames:
                data_files += [os.path.join(rel_dirpath, f) for f in filenames
                               if re.search(EXT_PATTERN, f)]
        data_dict[pkg_name] = data_files
    return data_dict

setup(
    name='thx-sphinx',

    version='0.4.1',
    url = 'https://hg.thux.dev/thux/apps/thx-sphinx',
    description='Utils per facilitare setup per documentazione',
    long_description='',

    author='Alessandro Dentella',
    author_email='adentella@thux.it',

    license='Apache Software License',

    packages=['thx.sphinx'],
    zip_safe=False,
    install_requires=[
        'Sphinx',
        'cloud_sptheme>=1.9.4',
    ],
    package_data=get_data_files('thx/sphinx')
)
